/* ==================================================================
   File:        config.h
   Author:      Steve Monks
   Description:
	Configuration module

 	$Id: config.h,v 1.1 2005/12/27 01:20:01 Steve Exp $
	$Log: config.h,v $
	Revision 1.1  2005/12/27 01:20:01  Steve
	Added Oversampling for <48KHz 16 bit audio
	Significant re-org and clean up of code
	
================================================================== */

#ifndef _CONFIG_H
#define _CONFIG_H

class Config {
private:
	char file_name[MAX_PATH+1];

	void ReadString(char *name,char *data, int mlen);
	void ReadInt(char *name,int *v);
	void WriteString(char *name, char *data);
	void WriteInt(char *name, int v);

	void Read(void);

public:
	char out_name[MAX_PATH+1];
	int volume_enabled;
	int clean_up_after_track;
	int upsample;
	
	Config(void);			// set config defaults and load current settings from file
	void Defaults(void);	// restores default configuration
	void Write(void);		// write current settings to config file
};

#endif
