/* ==================================================================
   File:        error.cpp
   Author:      Steve Monks
   Description:
	Debug and error handling stuff

 	$Id: error.cpp,v 1.2 2005/12/24 01:29:15 Steve Exp $
	$Log: error.cpp,v $
	Revision 1.2  2005/12/24 01:29:15  Steve
	Added Volume control for 16 bit audio
	Added option to release filter at end of each track or when stopped
	Added tool tips to config dialog
	Fixed Filter selection to use friendly names rather than device paths
	
	Revision 1.1  2005/12/10 18:59:36  Steve
	Fixed crash on pause
	Fixed pause interference with start of new track
	Fixed problem with next track not playing when WAV files end
	
================================================================== */

#include "windows.h"
#include "stdarg.h"
#include "string.h"
#include "stdio.h"
#include "error.h"

static HWND main_wnd;
static char msg_title[512] = "";

void DoDebugMsgBox(char *fmt, ...)
{
	char text[2048];
	va_list argptr;

	va_start(argptr,fmt);
	vsprintf(text,fmt,argptr);
	va_end(argptr);

	MessageBox(main_wnd, text, msg_title, MB_OK);
}



debugmsgfunc *InitDebugMsgBox(char *file, int line)
{
	sprintf(msg_title,"%s (%d)", file, line);
	return(&DoDebugMsgBox);
}



void DoDebugMsg(char *fmt, ...)
{
	char text[2048];
	va_list argptr;

	va_start(argptr,fmt);
	vsprintf(text,fmt,argptr);
	va_end(argptr);

	strcat(text,"\r\n");
	OutputDebugString(text);
}



debugmsgfunc *InitDebugMsg(char *file, int line)
{
	sprintf(msg_title,"%s (%d)", file, line);
	return(&DoDebugMsg);
}


						
void DebugMsgInit(HWND wnd)
{
	main_wnd = wnd;
}
