/* ==================================================================
   File:        error.h
   Author:      Steve Monks
   Description:
	Debug and error handling stuff

 	$Id: error.h,v 1.2 2005/12/24 01:29:15 Steve Exp $
	$Log: error.h,v $
	Revision 1.2  2005/12/24 01:29:15  Steve
	Added Volume control for 16 bit audio
	Added option to release filter at end of each track or when stopped
	Added tool tips to config dialog
	Fixed Filter selection to use friendly names rather than device paths
	
	Revision 1.1  2005/12/10 18:59:36  Steve
	Fixed crash on pause
	Fixed pause interference with start of new track
	Fixed problem with next track not playing when WAV files end
	
================================================================== */

#ifndef _ERROR_H
#define _ERROR_H

typedef void debugmsgfunc(char *fmt,...);

extern debugmsgfunc *InitDebugMsgBox(char *file, int line);

#define DebugMsgBox (*InitDebugMsgBox(__FILE__,__LINE__))
//#define DebugMsgBox DoDebugMsgBox

extern debugmsgfunc *InitDebugMsg(char *file, int line);

#define DebugMsg (*InitDebugMsg(__FILE__,__LINE__))


extern void DebugMsgInit(HWND wnd);


#endif
